Bug 456138 - Review Request: edb - Debugger based on the ptrace API and QT4
Review Request: edb - Debugger based on the ptrace API and QT4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 13:34 EDT by Nicoleau Fabien
Modified: 2014-02-19 22:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-19 22:18:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-07-21 13:34:35 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/edb.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/edb-0.9.0-1.fc9.src.rpm
Description: 
On Windows, OllyDbg is the tool of choice, but there is no Linux
(or any other *nix) equivalent that I could find. Sure we have GDB,
but GDB and all it's various frontends tend to lean towards debugging
applications to which we have the source.
(and possibly more). edb is currently based on the ptrace API.

One of the main goals of this debugger is modularity.
The interface is written in QT4 and thus source portable to many platforms.
The debugger core is a plugin and the platform specific code is isolated
to just a few files, porting to a new OS would require porting these few
files and implementing a plugin which implements the 
DebuggerCoreInterface" interface. Also, because the plugins are based
on the QPlugin API, and do their work through the DebuggerCoreInterface
object, they are almost always portable with just a simple recompile.


Rebuild under koji is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=730147
Rebuild under mock fedora-9-i386 is OK
Rebuild under mock fedora-8-i386 is OK
rpmlint output :
[eponyme@FEDOBOX tmp]$ rpmlint edb-0.9.0-1.fc9.i386.rpm edb-0.9.0-1.fc9.src.rpm edb-debuginfo-0.9.0-1.fc9.i386.rpm edb-plugins-0.9.0-1.fc9.i386.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[eponyme@FEDOBOX tmp]$
Comment 1 Nicoleau Fabien 2008-07-28 03:37:15 EDT
Update for 0.9.1 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/edb.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/edb-0.9.1-1.fc9.src.rpm

rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint edb-0.9.1-1.fc9.i386.rpm edb-0.9.1-1.fc9.src.rpm
edb-debuginfo-0.9.1-1.fc9.i386.rpm edb-plugins-0.9.1-1.fc9.i386.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$ 

As it's an x86 debugger, ppc and ppc64 are excluded.
Comment 2 Nicoleau Fabien 2008-07-31 17:26:39 EDT
Update for 0.9.2 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/edb.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/edb-0.9.2-1.fc9.src.rpm

[builder@FEDOBOX rpmbuild]$ rpmlint
/home/builder/rpmbuild/SRPMS/edb-0.9.2-1.fc9.src.rpm
/home/builder/rpmbuild/RPMS/i386/edb-0.9.2-1.fc9.i386.rpm
/home/builder/rpmbuild/RPMS/i386/edb-plugins-0.9.2-1.fc9.i386.rpm
/home/builder/rpmbuild/RPMS/i386/edb-debuginfo-0.9.2-1.fc9.i386.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX rpmbuild]$ 
Comment 3 Nicoleau Fabien 2008-08-11 15:58:07 EDT
This package doesn't build on koji for x86_64 from 0.9.2 to 0.9.3.
I've contacted upstream. He is actually fixing that and will release 0.9.4 when done.
Comment 4 Nicoleau Fabien 2008-09-29 13:35:38 EDT
Update to 0.9.5 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/edb.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/edb-0.9.5-1.fc9.src.rpm

Rebuild under mock is OK.
Rebuild on koji is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=850286

rpmlint output :
[builder@FEDOBOX rpmbuild]$ rpmlint /home/builder/rpmbuild/SRPMS/edb-0.9.5-1.fc9.src.rpm /home/builder/rpmbuild/RPMS/i386/edb-0.9.5-1.fc9.i386.rpm /home/builder/rpmbuild/RPMS/i386/edb-plugins-0.9.5-1.fc9.i386.rpm /home/builder/rpmbuild/RPMS/i386/edb-debuginfo-0.9.5-1.fc9.i386.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX rpmbuild]$
Comment 5 Nicoleau Fabien 2008-11-16 14:22:44 EST
Update to 0.9.6 : 
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/edb.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/edb-0.9.6-1.fc9.src.rpm

Rebuild under mock is OK.
Rebuild on koji is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=935319

rpmlint output :
[builder@FEDOBOX rpmbuild]$ rpmlint /home/builder/rpmbuild/SRPMS/edb-0.9.6-1.fc9.src.rpm /home/builder/rpmbuild/RPMS/i386/edb-0.9.6-1.fc9.i386.rpm /home/builder/rpmbuild/RPMS/i386/edb-plugins-0.9.6-1.fc9.i386.rpm /home/builder/rpmbuild/RPMS/i386/edb-debuginfo-0.9.6-1.fc9.i386.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX rpmbuild]$
Comment 6 Lucian Langa 2008-11-22 13:21:20 EST
- license of this package should pe GPLv2+

- this is a GUI application without .desktop file.

- what's the purpose of edb-plugins ? As I can see edb main package cannot run without debugger core plugin. I you're going to provide a separate  edb plugins package shouldn't that be optional ? I think you should separate in-core plugins from optional plugins (if it's even the case).
Comment 7 Nicoleau Fabien 2008-11-22 20:38:31 EST
Thank you for your comment.
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/edb.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/edb-0.9.6-2.fc9.src.rpm

Changelog :
- Licence fix
- Add desktop file
- Removed separate plugin package

I removed edb-plugins as there is no real interest.

Rebuild under mock is OK.
Build on koji ij OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=945577

Rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint edb-0.9.6-2.fc9.i386.rpm edb-debuginfo-0.9.6-2.fc9.i386.rpm edb-0.9.6-2.fc9.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 Lucian Langa 2008-11-23 15:38:52 EST
OK  source files match upstream:
        bf13f4ec695dd37bd01c4eff2db63ef9  debugger-0.9.6.tgz
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is present.
OK  build root is OK.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  BuildRequires are proper.
OK  compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
OK  final provides and requires are sane:
        libAnalyzer.so()(64bit)
        libBinarySearcher.so()(64bit)
        libBookmarks.so()(64bit)
        libBreakpointManager.so()(64bit)
        libCheckVersion.so()(64bit)
        libDebuggerCore.so()(64bit)
        libDumpState.so()(64bit)
        libELFBinaryInfo.so()(64bit)
        libEnvironment.so()(64bit)
        libFunctionDB.so()(64bit)
        libFunctionFinder.so()(64bit)
        libHardwareBreakpoints.so()(64bit)
        libHeapAnalyzer.so()(64bit)
        libOpcodeSearcher.so()(64bit)
        libOpenFiles.so()(64bit)
        libReferences.so()(64bit)
        libStringSearcher.so()(64bit)
        libSymbolViewer.so()(64bit)
        edb = 0.9.6-2.fc10
        edb(x86-64) = 0.9.6-2.fc10
        =
        /bin/sh
        libQtCore.so.4()(64bit)
        libQtGui.so.4()(64bit)
        libQtNetwork.so.4()(64bit)
        libc.so.6()(64bit)
        libgcc_s.so.1()(64bit)
        libm.so.6()(64bit)
        libpthread.so.0()(64bit)
        libstdc++.so.6()(64bit)
OK  %check is not present. I was able to run application and debug a binary file
N/A no shared libraries are added to the regular linker search paths.
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
N/A scriptlets present look OK
N/A initscript looks OK.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.
OK  this is a GUI application, desktop file OK

Suggestion: please see if you can provide an icon file for this package. (try upstream, or try to find a default one)


APPROVED.
Comment 9 Nicoleau Fabien 2008-11-23 16:12:05 EST
Thank you for the review Lucian. I'll ask upstream for an icon file.

New Package CVS Request
=======================
Package Name: edb
Short Description: A debugger based on the ptrace API and Qt4
Owners: eponyme
Branches: F-8 F-9 F-10
InitialCC:
Comment 10 Dennis Gilmore 2008-11-25 11:31:16 EST
cvs done
Comment 11 Fedora Update System 2008-11-25 14:33:01 EST
edb-0.9.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/edb-0.9.6-2.fc9
Comment 12 Fedora Update System 2008-11-25 14:34:09 EST
edb-0.9.6-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/edb-0.9.6-2.fc8
Comment 13 Fedora Update System 2008-11-25 14:35:19 EST
edb-0.9.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/edb-0.9.6-2.fc10
Comment 14 Fedora Update System 2008-11-26 01:15:42 EST
edb-0.9.6-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update edb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-10266
Comment 15 Fedora Update System 2008-11-26 01:16:57 EST
edb-0.9.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update edb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10291
Comment 16 Fedora Update System 2008-11-26 01:17:00 EST
edb-0.9.6-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update edb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10293
Comment 17 Lucian Langa 2008-11-26 02:25:58 EST
There is a problem with this package name, edb already exists in fedora:

 edb  -- A database convenience library wrapped around BDB
    EDB is a database convenience library wrapped around the Berkeley DB 2.7.7 by Sleepycat Software. It is intended to make accessing database information portable, easy, fast and efficient.

cvs was already granted for this package, but it is conflicting with the above package.
Comment 18 Nicoleau Fabien 2008-11-26 06:24:54 EST
:(
What can I do ? must I rename my package ?
Comment 19 Dennis Gilmore 2008-11-26 21:37:20 EST
since the package review is - cvs can not be done. please rerequest cvs when the review is sorted out
Comment 20 Dennis Gilmore 2008-11-26 21:52:04 EST
I do not see any rpms with the name edb or anything in fedora providing /usr/bin/edb  Lucian  can you please give more info on what the conflict is?  because i do not see it.

[root@athosian ~]# yum install /usr/bin/edb
Setting up Install Process
Parsing package install arguments
No package /usr/bin/edb available.
Nothing to do
[root@athosian ~]# yum install /usr/sbin/edb
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
No package /usr/sbin/edb available.
Nothing to do
[root@athosian ~]# yum install edb
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
No package edb available.
Nothing to do
Comment 21 manuel wolfshant 2008-11-26 22:17:25 EST
The older edb was not included in fedora since version FC-6.

Compare http://cvs.fedoraproject.org/viewvc/rpms/edb/FC-3/edb.spec?revision=1.8&view=markup with http://cvs.fedoraproject.org/viewvc/rpms/edb/devel/edb.spec?view=markup
Comment 22 Dennis Gilmore 2008-11-26 22:44:53 EST
judging by http://cvs.fedoraproject.org/viewvc/rpms/edb/  the old package has not been in fedora since Fedora Core 5   in which case i think the new package is ok.  

We can always bring it up with FESCo if people disagree with that.
Comment 23 manuel wolfshant 2008-11-26 22:48:41 EST
It's a bit confusing to have the same name refer to two completely different applications, depending on which version of the distribution you are. Especially as the older application has not been formally abandoned / orphaned / whatever.
Comment 24 Dennis Gilmore 2008-11-26 23:18:42 EST
https://admin.fedoraproject.org/pkgdb/packages/name/edb  says that its orphaned  and its not been in fedora since FC-5  It was not marked as dead in cvs but has not had a branch which means it did not exist in the release.  sure someone updating from FC-5 may be surprised.  I still think that it will be ok.
Comment 25 manuel wolfshant 2008-11-26 23:27:23 EST
Indeed, I have not noticed the "orphan" status. 
For the record, I am fine with the current situation. But for the sake of the discussion, let's presume I want to resurrect the old program. Now what ?
Comment 26 manuel wolfshant 2008-11-26 23:30:24 EST
And in any case, IF the new application retains the "edb" name, the description from https://admin.fedoraproject.org/pkgdb/packages/name/edb must be fixed, as currently it references the older application.
Comment 27 Dennis Gilmore 2008-11-26 23:34:15 EST
If someone was to resurrect it since its not been in fedora for as long as it has been out it would need a new review.  At which point it could be named bdb-edb  or db4-edb  or something else. the harder part is that the binaries will need renaming also. since im assuming both would provide /usr/bin/edb the same is true of any upstream projects that have clashing names.
Comment 28 Lucian Langa 2008-11-27 00:58:45 EST
Thanks for sorting this out.
The description in pkgdb still points to old package.
I am going to close this review as
APPROVED.
Comment 29 Nicoleau Fabien 2008-11-28 08:48:56 EST
Hi,
As cvs and build have already been done, must I ask again a cvs request ?
How can I change summary in pkgdb page ?

Thx
Comment 30 Dennis Gilmore 2008-11-28 08:57:14 EST
im setting cvs back to +  and im told that the summary and description in pkgdb will automatically be fixed when the package hits rawhide.
Comment 31 Nicoleau Fabien 2008-11-30 18:01:46 EST
Perhaps I've build edb for rawhide "to early". Summary and description are still the old ones. May be it will change when I'll build an update for rawhide.
Comment 32 Fedora Update System 2008-12-08 08:01:20 EST
edb-0.9.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2008-12-08 08:01:35 EST
edb-0.9.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2008-12-08 08:03:20 EST
edb-0.9.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Nicoleau Fabien 2014-02-19 10:48:55 EST
I am the package owner (https://admin.fedoraproject.org/pkgdb/acls/name/edb) but don't have permissions for devel and f20, so I ask a new SCM request

Package Change Request
=======================
Package Name: edb
Owners: eponyme
New Branches: f20 devel
Comment 36 Gwyn Ciesla 2014-02-19 10:58:02 EST
Branches exist.
Comment 37 Christopher Meng 2014-02-19 22:18:34 EST
Please don't reopen the bug when requesting new branch.

Note You need to log in before you can comment on or make changes to this bug.